WordPress.org

Support

Support » Plugins and Hacks » Blip Slideshow » Fatal error on require_once

Fatal error on require_once

  • Trying to test this plugin on XAMPP localhost test site.
    Nothing shows up so I looked for errors and found this:

    Warning: require_once(C:\Data\xampplite\htdocs\zinnia\wp\wp-content\plugins\blip-slideshow): failed to open stream: Permission denied in C:\Data\xampplite\htdocs\zinnia\wp\wp-content\plugins\blip-slideshow\blip.php on line 762

    Fatal error: require_once(): Failed opening required ‘C:\Data\xampplite\htdocs\zinnia\wp\wp-content\plugins\blip-slideshow’ (include_path=’.;C:\Program Files (x86)\xampplite\php\PEAR’) in C:\Data\xampplite\htdocs\zinnia\wp\wp-content\plugins\blip-slideshow\blip.php on line 762

    —————
    The code on line 762 is the require_once, but here’s a few lines before

    // attempt to talk to WordPress
    	$blog_header_path = preg_replace("/wp-content\/.*/", "wp-blog-header.php", getcwd());
    	if (file_exists($blog_header_path)) {
    		require_once($blog_header_path);
    	}

    How is that supposed to work, to require a directory and not a file?
    Just for completeness, this test site has WordPress in a subfolder, but it controls the main folder.

    http://wordpress.org/extend/plugins/blip-slideshow/

  • The topic ‘Fatal error on require_once’ is closed to new replies.
Skip to toolbar